from .invest import Invest
from .trivia import Trivia
from .blackjack import Blackjack
from .connectFour import connectFour
from .gameLoops import GameLoops
from .hangman import Hangman
from .hex import HexGame

class Games():
    def __init__(self, bot):
        self.bot = bot

        bot.invest = Invest(bot)
        bot.trivia = Trivia(bot)
        bot.blackjack = Blackjack(bot)
        bot.connectFour = connectFour(bot)
        bot.gameLoops = GameLoops(bot)
        bot.hangman = Hangman(bot)
        bot.hex = HexGame(bot)
